package com.project.zcustom.controller.logistics;

import com.project.common.annotation.Log;
import com.project.common.core.controller.BaseController;
import com.project.common.core.domain.AjaxResult;
import com.project.common.enums.BusinessType;
import com.project.common.utils.poi.ExcelUtil;
import com.project.zcustom.domain.addional.LargeHousingLand;
import com.project.zcustom.service.logistics.ILargeHousingLandService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.Arrays;

@RestController
@RequestMapping("/large/housing")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class PlatHousingLandController extends BaseController {

    @Autowired
    private ILargeHousingLandService largeHousingLandService;

    /**
     * 房产资源存量
     */
    @GetMapping("/stockOfEstateResources")
    public AjaxResult getStockOfEstateResources(@RequestParam String appOrg) {
        return AjaxResult.success("查询成功", largeHousingLandService.getStockOfEstateResources(appOrg));
    }

    /**
     * 土地资源存量
     */
    @GetMapping("/stockOfLandResources")
    public AjaxResult getStockOfLandResources(@RequestParam String appOrg) {
        return AjaxResult.success("查询成功", largeHousingLandService.getStockOfLandResources(appOrg));
    }

    /**
     * 2025年度投资房产完成情况
     */
    @GetMapping("/investFinishState")
    public AjaxResult getInvestFinishState(@RequestParam String appOrg) {
        return AjaxResult.success("查询成功", largeHousingLandService.getInvestFinishState(appOrg));
    }

}
