package com.project.zcustom.domain.addional;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.project.common.annotation.Excel;
import com.project.common.core.domain.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.List;

/**
 * 后勤运行监控中心对象 large_plat_logistics
 *
 * @author change
 * @date 2025-02-10
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_logistics")

@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeLogistics extends CustomBaseEntity {

    /**
     * id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 地区编码（后勤资产）
     */

    private String orgId;

    private String appOrg;

    /**
     * 所属单位编码
     */
    private String appCode;

    /**
     * 所属单位的父单位编码
     */
    private String appParentCode;

    /**
     * 地区名称（后勤资产）
     */

    private String appName;

    /**
     * 父地区编码（后勤资产）
     */
    @Excel(name = "父地区编码")

    private String parentOrgId;

    /**
     * 已赋码台账数
     */
    @Excel(name = "已赋码台账数")

    private Long codedNum;

    /**
     * 已贴签台账数
     */
    @Excel(name = "已贴签台账数")

    private Long labelNum;

    /**
     * 台账总数
     */
    @Excel(name = "台账总数")

    private Long assetNum;

    /**
     * 办公资产数
     */
    @Excel(name = "办公资产数")

    private Long officeAssetNum;

    /**
     * 存量办公资产数
     */
    @Excel(name = "存量办公资产数")

    private Long stockOfficeAssetNum;

    /**
     * 新增办公资产数
     */
    @Excel(name = "新增办公资产数")

    private Long newOfficeAssetNum;

    /**
     * 报废办公资产数
     */
    @Excel(name = "报废办公资产数")

    private Long scrapOfficeAssetNum;

    /**
     * 楼宇设备数
     */
    @Excel(name = "楼宇设备数")

    private Long buildingAssetNum;

    /**
     * 存量楼宇设备数
     */
    @Excel(name = "存量楼宇设备数")

    private Long stockBuildingAssetNum;

    /**
     * 新增楼宇设备数
     */
    @Excel(name = "新增楼宇设备数")

    private Long newBuildingAssetNum;

    /**
     * 报废楼宇设备数
     */
    @Excel(name = "报废楼宇设备数")

    private Long scrapBuildingAssetNum;

    /**
     * 服务设备数
     */
    @Excel(name = "服务设备数")

    private Long serviceAssetNum;

    /**
     * 存量服务设备数
     */
    @Excel(name = "存量服务设备数")

    private Long stockServiceAssetNum;

    /**
     * 新增服务设备数
     */
    @Excel(name = "新增服务设备数")

    private Long newServiceAssetNum;

    /**
     * 报废服务设备数
     */
    @Excel(name = "报废服务设备数")

    private Long scrapServiceAssetNum;

    /**
     * 典型应用场景覆盖率
     */
    @Excel(name = "典型应用场景覆盖率")
    private BigDecimal sceneRate;

    /**
     * 楼宇资产巡检执行数
     */
    @Excel(name = "楼宇资产巡检执行数")
    private Long inspectionSchemeNum;

    /**
     * 重点楼宇设备巡检执行数
     */
    @Excel(name = "重点楼宇设备巡检执行数")
    private BigDecimal importantDeviceTypeInspectionExecuteRate;

    /**
     * 楼宇资产巡检异常数
     */
    @Excel(name = "楼宇资产巡检异常数")
    private Long inspectionAnomalyRecordNum;


    /**
     * 检修记录数
     */
    @Excel(name = "检修记录数")

    private Long repairRecordNum;

    /**
     * 维保记录数
     */
    @Excel(name = "维保记录数")

    private Long maintenanceRecordNum;

    /**
     * 办公资产分布列表
     */

    private List<LargeAssetDirs> officeAssetList;

    /**
     * 楼宇设备分布列表
     */

    private List<LargeAssetDirs> buildingAssetList;

    /**
     * 服务设备分布列表
     */

    private List<LargeAssetDirs> serviceAssetList;
}
