package com.project.zcustom.domain.basics;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.common.annotation.Excel;
import com.project.common.core.domain.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 基础运行数据对象 plat_basics
 *
 * @author change
 * @date 2024-10-21
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_basics")

public class PlatBasics extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 地区编码
     */
    @Excel(name = "地区编码")

    private String appOrg;

    /**
     * 基础运行数据--注册用户数
     */
    @Excel(name = "基础运行数据--注册用户数")

    private Long registerNum;

    /**
     * 基础运行数据--订单数量
     */
    @Excel(name = "基础运行数据--订单数量")

    private Long orderNum;

    /**
     * 系统运行报警信息--cpu过载
     */
    @Excel(name = "系统运行报警信息--cpu过载")

    private Long cpuOverloadNum;

    /**
     * 系统运行报警信息--磁盘过载
     */
    @Excel(name = "系统运行报警信息--磁盘过载")

    private Long diskOverloadNum;

    /**
     * 系统运行报警信息--内存过载
     */
    @Excel(name = "系统运行报警信息--内存过载")

    private Long memoryOverloadNum;

    /**
     * 基础运行数据--活跃率
     */
    @TableField(exist = false)
    private BigDecimal activeRate;

    /**
     * 系统运行报警信息--流量不足
     */
    @Excel(name = "系统运行报警信息--流量不足")

    private Long insufficientNum;

    /**
     * 基础运行数据--在线用户数
     */
    private Long onlineNum;

    /**
     * 基础运行数据--在线率
     */
    private BigDecimal onlineRate;

}
