package com.project.zcustom.domain.employee;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.common.annotation.Excel;
import com.project.common.core.domain.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 员工健康图数据对象 plat_employee_health_chart
 *
 * @author change
 * @date 2024-10-21
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_employee_health_chart")

public class PlatEmployeeHealthChart extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 地区编码
     */
    @Excel(name = "地区编码")

    private String appOrg;

    /**
     * 0 健康指标趋势 1 甲状腺结节发现及时率趋势
     */
    @Excel(name = "0 健康指标趋势 1 甲状腺结节发现及时率趋势")

    private Integer type;

    /**
     * 一月
     */
    @Excel(name = "一月")

    private Long januaryNum;

    /**
     * 二月
     */
    @Excel(name = "二月")

    private Long februaryNum;

    /**
     * 三月
     */
    @Excel(name = "三月")

    private Long marchNum;

    /**
     * 四月
     */
    @Excel(name = "四月")

    private Long aprilNum;

    /**
     * 五月
     */
    @Excel(name = "五月")

    private Long mayNum;

    /**
     * 六月
     */
    @Excel(name = "六月")

    private Long juneNum;

    /**
     * 七月
     */
    @Excel(name = "七月")

    private Long julyNum;

    /**
     * 八月
     */
    @Excel(name = "八月")

    private Long augustNum;

    /**
     * 九月
     */
    @Excel(name = "九月")

    private Long septemberNum;

    /**
     * 十月
     */
    @Excel(name = "十月")

    private Long octoberNum;

    /**
     * 十一月
     */
    @Excel(name = "十一月")

    private Long novemberNum;

    /**
     * 十二月
     */
    @Excel(name = "十二月")

    private Long decemberNum;

}
