package com.project.zcustom.domain.plat;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.common.annotation.Excel;
import com.project.common.core.domain.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 接口请求记录对象 plat_api_record
 *
 * @author change
 * @date 2024-10-31
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_api_record")

public class PlatApiRecord extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 请求地址
     */
    @Excel(name = "请求地址")

    private String apiUrl;

    /**
     * 请求地址
     */
    @Excel(name = "地区编码")

    private String appOrg;

    /**
     * 接口返回数据
     */
    @Excel(name = "接口返回数据")

    private String apiResult;

}
